Package org.linphone.core

# Interface ParticipantInfo

public interface ParticipantInfo
Object defining all information related to a participant.

## Method Summary

Modifier and Type
Method
Description
`void`
`addParameter(String name, String value)`
Set the a custom parameter to object `ParticipantInfo`.
`ParticipantInfo`
`clone()`
Clone an object `ParticipantInfo`.
`Address`
`getAddress()`
Get the address of the object `ParticipantInfo`.
`String`
`getCcmpUri()`
Get the CCMP uri of the object `ParticipantInfo`.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getParameterValue(String name)`
Get the value of a custom parameter of the object `ParticipantInfo`.
`Participant.Role`
`getRole()`
Get the role of the object `ParticipantInfo`.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`boolean`
`hasParameter(String name)`
Find whether a `ParticipantInfo` has a parameter.
`void`
`removeParameter(String name)`
Find the value of a custom parameter of the object `ParticipantInfo`.
`void`
`setRole(Participant.Role role)`
Set the role of the object `ParticipantInfo`.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getAddress

@NonNull Address getAddress()
Get the address of the object `ParticipantInfo`.

Returns:
  the `Address` of the `ParticipantInfo` object.

### getCcmpUri

@Nullable String getCcmpUri()
Get the CCMP uri of the object `ParticipantInfo`.

Returns:
  the CCMP uri of the `ParticipantInfo` or null.

### getRole

@NonNull Participant.Role getRole()
Get the role of the object `ParticipantInfo`.

Returns:
  the `Participant#Role` of the `ParticipantInfo` object.

### setRole

void setRole(@NonNull Participant.Role role)
Set the role of the object `ParticipantInfo`.

Parameters:
  `role` - the `Participant#Role` of the `ParticipantInfo` object.

### addParameter

void addParameter(@NonNull String name, @NonNull String value)
Set the a custom parameter to object `ParticipantInfo`.

Parameters:
  `name` - the name of the parameter.
  `value` - the value of the parameter.

### clone

@NonNull ParticipantInfo clone()
Clone an object `ParticipantInfo`.

Returns:
  the cloned `ParticipantInfo` object.

### getParameterValue

@NonNull String getParameterValue(@NonNull String name)
Get the value of a custom parameter of the object `ParticipantInfo`.

Parameters:
  `name` - the name of the parameter.
Returns:
  value the value of the parameter.

### hasParameter

boolean hasParameter(@NonNull String name)
Find whether a `ParticipantInfo` has a parameter.

Parameters:
  `name` - the name of the parameter.
Returns:
  true if the parameter is present, false otherwise

### removeParameter

void removeParameter(@NonNull String name)
Find the value of a custom parameter of the object `ParticipantInfo`.

Parameters:
  `name` - the name of the parameter.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`